Subject: Re: git_inetd_server: run git-http-backend using inetd

From: Jonathan Nieder <[email-masked]>
Date: Fri, 18 Jul 2014 10:16:35 -0700

Kyle J. McKay wrote:

> You might also want to take a look at [1] which suggests that when
> doing SRV lookups for URLs they should be done regardless of whether
> or not a port number is present (which then eliminates the RFC 3986
> issue the current SRV lookup code has).

"Git URLs" as described e.g. in git-clone(1) weren't intended to be
actual URIs.  What would be the interoperability advantage of making
them URIs?

This has come up before, with e.g. people asking to introduce a
git+ssh:// and git+http:// syntax to refer to repositories accessed
using those transports without conflicting with the usual meanings of
ssh:// and http://.  If there's a good use case for that, maybe it
would be worth doing some day.

Curious,
Jonathan